summaryrefslogtreecommitdiffstats
path: root/system/trackfs/trackfs.SlackBuild
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:33:49 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:33:49 +0200
commitea536a01a45d688e9a62e4dbfd4ae3079f40d790 (patch)
tree4e47e9654912ed5224f972faa8c3f252634c0907 /system/trackfs/trackfs.SlackBuild
parent312921f2a3b48018fcdea2e6880bc9b72deb947e (diff)
downloadslackbuilds-ea536a01a45d688e9a62e4dbfd4ae3079f40d790.tar.gz
slackbuilds-ea536a01a45d688e9a62e4dbfd4ae3079f40d790.tar.xz
system/trackfs: Added to 12.2 repository
Diffstat (limited to 'system/trackfs/trackfs.SlackBuild')
-rw-r--r--system/trackfs/trackfs.SlackBuild65
1 files changed, 65 insertions, 0 deletions
diff --git a/system/trackfs/trackfs.SlackBuild b/system/trackfs/trackfs.SlackBuild
new file mode 100644
index 0000000000..641177ac8d
--- /dev/null
+++ b/system/trackfs/trackfs.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for trackfs
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=trackfs
+VERSION=${VERSION:-0.0.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install instroot=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp COPYING* NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz